﻿@model EnergyMission.Domain.Entities.ClientTeamSensorMapping
    @{
        EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
        var TeamId = Model.TeamId;
      
         
          
    }


           
        
             





@Html.HiddenFor(x=>x.TeamId)
<input type="hidden" name="StructureDivisionIdStore" id="SDIS" />
       @using (Html.BeginForm("TeamSensorMapping", "ClientTeams", FormMethod.Post)) { @Html.AntiForgeryToken()  @Html.HiddenFor(model => model.Id)



    <div class="bottom">

  

            <div class="left">
        
                    <label class="name">Team Name</label>
                <div style="position:relative;">

                    @Html.TextBoxFor(model => model.TeamName)


                  
                    <div class="error-msg">
                        <span class="error"> @Html.ValidationMessageFor(tt => tt.TeamName)</span>
                    </div>


                </div>
                
                <div class="clearfix"></div>
                <input class="save button" name="button" type="submit" value="Submit" />
                <input class="done button" name="button" type="button" id="done" value="Done" />
            </div>
            <div class="right">
                <div class="left-side">
                    <label class="name">Location*</label>
                    <div class="col-md-3">
                        @Html.HiddenFor(model => model.TeamId)
                        @Html.DropDownListFor(model => model.LocationId, cs.LocationList, "Select Location", new { @class = "my-dropdown" })
                    </div>
                    <label class="name">Site*</label>
                    <div class="col-md-3">
                        @Html.DropDownListFor(model => model.SiteId, cs.SiteList, "Select Site", new { @class = "my-dropdown" })
                    </div>

                    <label class="name">Structure*</label>
                    <div class="col-md-3">
                        @Html.DropDownListFor(model => model.StructureId, cs.StructureList, "Select Site", new { @class = "my-dropdown" })
                    </div>

                    <label class="name">Structure Division*</label>
                    <div class="col-md-3">
                        @Html.DropDownListFor(model => model.StructureDivisionId, cs.StructureDivisionList, "Select Structure Division")
                    </div>

                </div>
                <label class="name">Sensor*</label>
                <div class="right-side">
                    @using EnergyMission

                    @Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsSensorp", "ClientTeams", Ajax, Html, ViewContext, settings);
  
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    settings.SettingsPager.Mode = GridViewPagerMode.ShowAllRecords;  
    
    settings.Settings.ShowFilterRow = false;
    settings.KeyFieldName = "Id";
    settings.Columns.Add("Name");
    settings.Columns.Add("DataFeed");
    settings.Columns.Add("SensorType");


    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";



        column.SetDataItemTemplateContent(c =>
        {

            var id = DataBinder.Eval(c.DataItem, "ID");

            ViewContext.Writer.Write(String.Format("<span class='Add'> <a onclick=\"OnAddClick(" + id + ");\" id='addcoloum'> Add </a> </span>"));




        });

    });

}).Bind(Model.SensorEntity).GetHtml()


                </div>
            </div>
            
        </div>

       }
<script>
   

  
    $(document).ready(function () {
        //alert("documet.ready");
        $("#addcoloum").hide();
        function OnSuccess(data, gvName) {
            var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);
            gridInstance.Refresh();
          
        }


        $("#done").click(function () {
            window.location.href="/ClientTeams/Index"
            $("#editportion").hide();

        });
    
    });


    
    $("#LocationId").change(function () {


        var selectedT = $(this).find("option:selected").val();
        $.getJSON("/StructureDivisions/OnchangeOfLocationchangesiteEntry", { deptId: selectedT },
          function (Result) {
              value = JSON.stringify(Result);

              var SiteId = $("#SiteId");
              SiteId.html('');
              SiteId.append($('<option></option>').val('').html("Select Site"));
              //alert(JSON.stringify(Result.result[0]));
              $.each(Result.result, function (id, option) {
                  //alert("inside foreach");
                  SiteId.append($('<option></option>').val(option.id).html(option.name));
              }
            );
          });
    });





    $("#SiteId").change(function () {

      
        var selectedT = $(this).find("option:selected").val();
        $.getJSON("/StructureDivisions/OnChangeOfSiteChangeStructureEntry", { SDDdeptId: selectedT },
         function (Result) {

             value = JSON.stringify(Result);
             // alert(value);
             var StructureId = $("#StructureId");
             StructureId.html('');
             //var mySelect = $('#SiteId');

             StructureId.append($('<option></option>').val('').html("Select Structure"));
             //alert(JSON.stringify(Result.result[0]));
             $.each(Result.result, function (id, option) {
                 //alert("inside foreach");

                 StructureId.append($('<option></option>').val(option.id).html(option.name));
             }
           );
         });


    });



    $("#StructureId").change(function () {
       

        var selectedT = $(this).find("option:selected").val();
        $.getJSON("/StructureDivisions/OnchangeOfStructureStructureDivisonEntry", { StructureId: selectedT },
         function (Result) {

             value = JSON.stringify(Result);
             // alert(value);
             var StructureDivisionId = $("#StructureDivisionId");
             StructureDivisionId.html('');
             //var mySelect = $('#SiteId');

             StructureDivisionId.append($('<option></option>').val('').html("Select Structure"));
             //alert(JSON.stringify(Result.result[0]));
             $.each(Result.result, function (id, option) {
                 //alert("inside foreach");

                 StructureDivisionId.append($('<option></option>').val(option.id).html(option.name));
             }
           );
         });


    });


    $("#StructureDivisionId").change(function () {
       
        var selectedT = $(this).find("option:selected").val();
        $("#StructureDivisionId").val(selectedT);
        structure = selectedT;
        $("#SDIS").val(selectedT);
        $("#addcoloum").show();
      
    });
   
  
   
   


    </script>  


